#!/usr/bin/perl -w
#==============================================================================
# Script:   alignEchoArea.pl
# Author:   Michael Dukelsky, 2:5020/1042
# Date:     12 Nov 2013
# Description:
#   This is a filter for aligning the third field of hpt EchoArea descriptions
# Usage:
#   perl alignEchoArea.pl <non-aligned.cfg >aligned.cfg
#==============================================================================

use strict;
# The position at which the third field starts (counted from zero)
my $POS = 36;

my ($line, $firstPart, $space, $secondPart, $len, $format);
my $firstLen = $POS - 1;
$format = "%-$POS"."s%s\n";
while ($line = <>)
{
    $line =~ s/[\r\n]//g;
    unless($line =~ /^\s*EchoArea\s/i)
    {
        print "$line\n";
    }
    else
    {
        ($firstPart, $space, $secondPart) = $line =~ /^\s*(EchoArea\s+\S+)(\s+)(\S+(?:\s+\S+)+)$/i;
        $len = length($firstPart);
        if($len < $firstLen)
        {
            printf($format, $firstPart, $secondPart);
        }
        else
        {
            print $firstPart, $space, $secondPart, "\n";
        }
    }
};
