#!/usr/bin/perl -w
#==============================================================================
# Script:   lcEchoTag.pl
# Author:   Michael Dukelsky, 2:5020/1042
# Date:     15 Aug 2014
# Description:
#   This is a filter for converting echo tags to lower case in hpt EchoArea descriptions
# Usage:
#   perl lcEchoTag.pl <areas.cfg >converted.cfg
#==============================================================================

use strict;

my ($line, $firstPart, $tag, $secondPart);
while ($line = <>)
{
    $line =~ s/[\r\n]//g;
    unless(($firstPart, $tag, $secondPart) = $line =~ /^\s*(EchoArea\s+)(\S+)((?:\s+\S+)+)$/i)
    {
        print "$line\n";
    }
    else
    {
        $tag =~ tr/A-Z/a-z/;
        print $firstPart, $tag, $secondPart, "\n";
    }
};
