#!/usr/bin/perl -w
#==============================================================================
# Script:   sortEchoArea.pl
# Author:   Michael Dukelsky, 2:5020/1042
# Date:     15 Feb 2007
# Description:
#   This is a filter for sorting HPT EchoArea descriptions on echo area tag
# Usage:
#   perl sortEchoArea.pl <unsorted.cfg >sorted.cfg
#==============================================================================

use strict;
my ($line, $areasStarted, $areasFinished, $sortedLine, @toSort, @sorted);
sub printSorted
{
    @sorted = sort {
                        my ($tag1) = $a =~ /^\s*EchoArea\s+(\S+)\s+/i;
                        my ($tag2) = $b =~ /^\s*EchoArea\s+(\S+)\s+/i;
                        $tag1 cmp $tag2;
                   } @toSort;
    foreach $sortedLine (@sorted)
    {
        print $sortedLine;
    };
    undef @toSort;
    undef @sorted;
}

$areasStarted = 0;
$areasFinished = 0;
while ($line = <>)
{
    if($line =~ /^\s*EchoArea\s/i)
    {
        # It is an EchoArea line
        $areasStarted = 1;
        $areasFinished = 0;
        push(@toSort, $line);
    }
    else
    {
        # It is not an EchoArea line
        if($areasStarted)
        {
            $areasStarted = 0;
            $areasFinished = 1;
            printSorted();
        }
        print $line;
    }
}

if($areasStarted && ! $areasFinished)
{
    printSorted();
}
