#!/usr/bin/perl
#==============================================================================
# Script:   sortFileArea.pl
# Author:   Michael Dukelsky, 2:5020/1042
# Date:     15 Feb 2007
# Description:
#   This is a filter for sorting Htick FileArea descriptions on file area tag
# Usage:
#   perl sortFileArea.pl <unsorted.cfg >sorted.cfg
#==============================================================================

use strict;
my ($line, @areas, @sorted);
while ($line = <>)
{
    push @areas, $line;
};

@sorted = sort {
                    my ($tag1) = $a =~ /^\s*FileArea\s+(\S+)\s+/i;
                    my ($tag2) = $b =~ /^\s*FileArea\s+(\S+)\s+/i;
                    $tag1 cmp $tag2;
               } @areas;

foreach $line (@sorted)
{
    print $line;
};
