#!/usr/bin/perl -w
#==============================================================================
# Script:   ucEchoTag.pl
# Author:   Michael Dukelsky, 2:5020/1042
# Date:     15 Aug 2014
# Description:
#   This is a filter for converting echo tags to upper case in hpt EchoArea descriptions
# Usage:
#   perl ucEchoTag.pl <areas.cfg >converted.cfg
#==============================================================================

use strict;

my ($line, $firstPart, $tag, $secondPart);
while ($line = <>)
{
    $line =~ s/[\r\n]//g;
    unless(($firstPart, $tag, $secondPart) = $line =~ /^\s*(EchoArea\s+)(\S+)((?:\s+\S+)+)$/i)
    {
        print "$line\n";
    }
    else
    {
        $tag =~ tr/a-z/A-Z/;
        print $firstPart, $tag, $secondPart, "\n";
    }
};
